Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.api.registry
Enum TransformerResolver.RegistryAction

    java.lang.Object
      java.lang.Enum<TransformerResolver.RegistryAction>
          org.mule.api.registry.TransformerResolver.RegistryAction

All Implemented Interfaces:
  Serializable, Comparable<TransformerResolver.RegistryAction>

Enclosing interface:
  TransformerResolver

    public static enum TransformerResolver.RegistryAction

extends Enum<TransformerResolver.RegistryAction>

Possible registry actions that occur that will trigger an event fired via `#transformerChange()` method.

Enum Constant Summary
`ADDED` signals that a transformer was added to the registry
`REMOVED` signals that a transformer was removed from the registry

Method Summary
`static TransformerResolver.RegistryAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransformerResolver.RegistryAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADDED

    public static final TransformerResolver.RegistryAction ADDED

  signals that a transformer was added to the registry

### REMOVED

    public static final TransformerResolver.RegistryAction REMOVED

  signals that a transformer was removed from the registry

Method Detail

### values

    public static TransformerResolver.RegistryAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransformerResolver.RegistryAction c : TransformerResolver.RegistryAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransformerResolver.RegistryAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.